
/*

Copyright (C) Marian Vittek, Xref-Tech, Bratislava, 1997-2002.
All Rights Reserved.

    THIS FILE IS CONSIDERED A TRADE SECRET BY XREF-TECH.
UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.

*/
#ifndef STDINC__H
#define STDINC__H
#ifdef __WIN32__
#include <windows.h>
#include <direct.h>
#else
#include <unistd.h>
#include <dirent.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <assert.h>
#include <string.h>
#include <time.h>
#include <setjmp.h>
#include <sys/types.h>
#include <sys/stat.h>
#endif
#include "head2.h"
#include "proto.h"
#ifdef __QNX__
#include <sys/kernel.h>
int main(int argc, char **argv) {
        int i,b;
        char buf[QNX_MSG_BUF_SIZE];
        pid_t Pid;
        Pid = qnx_name_locate(0,QNX_COMPL_SRV_NAME,0,0);
        if (Pid == -1) {
                system("xref -task_regime_server -qnxmsg &");
                sleep(1);
        }
        Pid = qnx_name_locate(0,QNX_COMPL_SRV_NAME,0,0);
        if (Pid == -1) {
                fprintf(stderr,":can't connect or start completion server\n");
        }
        b=0;
        for(i=1; i<argc; i++) {
                { if (!(b < QNX_MSG_BUF_SIZE)) internalCheckFail("b < QNX_MSG_BUF_SIZE", "qnxmsg.c", 39);};
                sprintf(buf+b,"%s ",argv[i]);
                b += strlen(buf+b);
        }
        Send(Pid, buf, buf, sizeof(buf), sizeof(buf));
        return(0);
}
#else
int main() {
        fprintf(stderr,"xrfmsg can be used only under the QNX-os\n");
        return(1);
}
#endif
