package com.xrefactory;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*
 Check   completion   on    following   demonstration   lines!    Each
 demonstration   line  is   preceded   by  one   line  of   explaining
 commentary. Put cursor  at the end of demonstration  lines and invoke
 completion by pressing F8.
*/

class Completion extends JFrame {

    public static void main(String[] arguments) {

        // local variable completion
        arg
        ;
           
        // package name
        java.ap
        ;

        // class name, multiple completions listed
        La
        ;
        /* In the proposed list:
             mouse-button2       - select a completion.
             Shift mouse-button2 - inspect definition or javadoc
             mouse-button3       - pop-up menu for this item.
           Everywhere:
             F7                  - close Xrefactory's windows
        */

        // field completion
        System.o
        ;           

        // method completion
        System.out.pr
        ;

        // completion on complete name displays its type
        arguments
        ;

        // including method's profiles
        System.out.println
        ;

        // works for constructors too
        new Button
        ;

        // inherited symbols are displayed with level of inheritance 
        // and origin class
        get
        ;

        // completion works after expressions
        getContentPane().set
        ;

        // even complex ones
        ((String)(new Vector(new Collection().add("Foo"))).get(0)).to
        ;

        class Nested extends JButton implements ActionListener {
            int app;
            void foo() {
                
                // no problem with nested classes
                get
                ;
            }

            Nested() {
                // or explicit constructor invocations
                super
                ;
            }
            
            // when completing empty string on method definition context
            // inheritance wizard proposes inherited definitions 
    
            
    
    }

}


/*
  When  creating a new  file, you  can complete  full package  name by
  completing empty string after the 'package' keyword.

*/


/*
  F5 will bring you back to Index
*/
