package sk.xref.java2html;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.filechooser.*;
import javax.swing.plaf.basic.*;
import java.util.*;
import java.io.*;

class ColorDialog extends StringSelectionDialog {

	JColorChooser cc;

	public void setVisible(boolean b) {
		if (b == true) {
			cc.setColor(Color.decode(resultString));
		} 
		super.setVisible(b);
	}

	class OKButton extends JButton implements ActionListener {
		OKButton () {
			super("O.K.");
			addActionListener(this);
		}
		public void actionPerformed( ActionEvent e) {
			Color c = cc.getColor();
			// TODO, correct this
			resultString = Integer.toHexString(c.getRed()) +
				Integer.toHexString(c.getGreen()) +  Integer.toHexString(c.getBlue());
			ColorDialog.this.setVisible(false);
		}
	}

	class CancelButton extends JButton implements ActionListener {
		CancelButton () {
			super("Cancel");
			addActionListener(this);
		}
		public void actionPerformed( ActionEvent e) {
			ColorDialog.this.setVisible(false);
		}
	}

	ColorDialog(Frame main) {
		super(main, "Color selection");

		getContentPane().setLayout(new GridBagLayout());
		GridBagConstraints gbc = new GridBagConstraints();
		int y = -1;
		
		// ---------------------- source
		y++;
		cc = new JColorChooser();
		gbc.gridx = 0; gbc.gridy = y; 
		gbc.gridwidth = 4; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 100; gbc.fill = GridBagConstraints.BOTH;
		getContentPane().add(cc, gbc);

		y++;
		gbc.gridx = 0; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new JPanel(), gbc);
		gbc.gridx = 1; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new OKButton(), gbc);
		gbc.gridx = 2; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new CancelButton(), gbc);
   		gbc.gridx = 3; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new JPanel(), gbc);

		setSize(400,300);
		pack();
		setModal(true);
	}
}
