package sk.xref.java2html;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.filechooser.*;
import javax.swing.plaf.basic.*;
import java.util.*;
import java.io.*;

class HelpDialog extends JDialog {

	public JTextArea output;

	class CloseButton extends JButton implements ActionListener {
		CloseButton() {
			super("Close");
			addActionListener(this);
		}
		public void actionPerformed( ActionEvent e) {
			HelpDialog.this.setVisible(false);
		}
	}

	HelpDialog(JFrame main) {
		super(main, "Help");
		getContentPane().setLayout(new GridBagLayout());
		GridBagConstraints gbc = new GridBagConstraints();
		int y = -1;

		// ---------------------- source
		y++;
		JTextArea output = new JTextArea();
		gbc.gridx = 0; gbc.gridy = y; 
		gbc.gridwidth = 3; gbc.gridheight = 1;
		gbc.weightx = 1000; gbc.weighty = 1000; gbc.fill = GridBagConstraints.BOTH;
		getContentPane().add(new JScrollPane(output), gbc);

		y++;
		gbc.gridx = 0; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new JPanel(), gbc);
		gbc.gridx = 1; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new CloseButton(), gbc);
		gbc.gridx = 2; gbc.gridy = y; 
		gbc.gridwidth = 1; gbc.gridheight = 1;
		gbc.weightx = 1; gbc.weighty = 1; gbc.fill = GridBagConstraints.HORIZONTAL;
		getContentPane().add(new JPanel(), gbc);

		output.setEditable(false);
		setSize(600,600);
	}
}

