
/*

Copyright (C) Marian Vittek, Xref-Tech, Bratislava, 1997-2002.
All Rights Reserved.

    THIS FILE IS CONSIDERED A TRADE SECRET BY XREF-TECH.
UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.

*/
#ifndef STDINC__H
#define STDINC__H
#ifdef __WIN32__
#include <windows.h>
#include <direct.h>
#else
#include <unistd.h>
#include <dirent.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <assert.h>
#include <string.h>
#include <time.h>
#include <setjmp.h>
#include <sys/types.h>
#include <sys/stat.h>
#endif
#include "head2.h"
#include "proto.h"
void cctAddSimpleValue(S_cctNode *cc, S_symbol *x, int deepFactor) {
        S_cctNode *nn;
        int i,h;
        if (cc->node == x) return;
        if (cc->node == NULL) {
                cc->node = x;
                return;
        }
        h = ( (((long unsigned)x) >> 4) / (deepFactor) % 4 );
        if (cc->sub == NULL) {
                {{ { if (!((4) >= 0)) internalCheckFail("(4) >= 0", "cct.c", 46);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(4)*sizeof(S_cctNode) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } nn = (S_cctNode*) (ppmMemory + ppmMemoryi); ppmMemoryi += (4)*sizeof(S_cctNode);};};
                for(i=0; i<4; i++) { (&nn[i])->node = NULL; (&nn[i])->sub = NULL;};
                nn[h].node = x;
                cc->sub = nn;
                return;
        }
        cctAddSimpleValue(&cc->sub[h], x, deepFactor*4);
}
int cctIsMember(S_cctNode *cc, S_symbol *x, int deepFactor) {
        int h,res;
        if (cc->node == x) return(1);
        if (cc->sub == NULL) return(0);
        h = ( (((long unsigned)x) >> 4) / (deepFactor) % 4 );
        { if (!(h>=0 && h<4)) internalCheckFail("h>=0 && h<4", "cct.c", 62);};
        res = cctIsMember(&cc->sub[h], x, deepFactor*4);
        return(res);
}
void cctAddCctTree(S_cctNode *cc, S_cctNode *x, int deepFactor) {
        int i,h;
        if (x->node == NULL) return;
        if (cc->node == NULL) {
                *cc = *x;
                return;
        }
        cctAddSimpleValue(cc, x->node, deepFactor);
        if (x->sub == NULL) return;
        if (cc->sub == NULL) {
                {{ { if (!((4) >= 0)) internalCheckFail("(4) >= 0", "cct.c", 79);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(4)*sizeof(S_cctNode) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } cc->sub = (S_cctNode*) (ppmMemory + ppmMemoryi); ppmMemoryi += (4)*sizeof(S_cctNode);};};
                for(i=0; i<4; i++) cc->sub[i] = x->sub[i];
        } else {
                for(i=0; i<4; i++) {
                        cctAddCctTree(&cc->sub[i], &x->sub[i], deepFactor*4);
                }
        }
}
void cctDump(S_cctNode *cc, int deep) {
        int i;
        if (cc->node==NULL) {
                fprintf(dumpOut,"%*sNULL\n",deep,""); fflush(dumpOut);
                return;
        }
        fprintf(dumpOut,"%*s%x\n",deep,"",cc->node); fflush(dumpOut);
        if (cc->sub == NULL) return;
        for(i=0; i<4; i++) cctDump(&cc->sub[i], deep+2);
}
