
/*

Copyright (C) Marian Vittek, Xref-Tech, Bratislava, 1997-2002.
All Rights Reserved.

    THIS FILE IS CONSIDERED A TRADE SECRET BY XREF-TECH.
UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.

*/
#ifndef STDINC__H
#define STDINC__H
#ifdef __WIN32__
#include <windows.h>
#include <direct.h>
#else
#include <unistd.h>
#include <dirent.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <assert.h>
#include <string.h>
#include <time.h>
#include <setjmp.h>
#include <sys/types.h>
#include <sys/stat.h>
#endif
#include "head2.h"
#include "proto.h"
static char optMemory[10000];
static int optMemoryi;
static char *s_standardCOptions[] = {
        "standardCOptions",
        "-set", "nl", "\n",
        "-set", "dq", "\"",
        "-set", "pc", "%",
        "-set", "dl", "$",
        "-D__FILE__=\"__FILE__\"",
        "-D__LINE__=0",
        "-D__DATE__=\"__DATE__\"",
        "-D__TIME__=\"__TIME__\"",
        "-D__STDC__=1",
        "-D__ptr_t=void*",
        "-D__wchar_t=int",
#ifdef __WIN32__
        "-D_based(xxx)=",
        "-D__based(xxx)=",
        "-D__declspec(xxx)=",
        "-I", "\\Program Files\\DevStudio\\VC\\include\\",
        "-I", "C:\\Program Files\\DevStudio\\VC\\include\\",
        "-I", "D:\\Program Files\\DevStudio\\VC\\include\\",
#else
        "-I", "/usr/include/",
#endif
#ifdef __linux__
        "-Dlinux=1",
        "-D__linux=1",
        "-D__linux__=1",
        "-Dunix=1",
        "-D__unix=1",
        "-D__unix__=1",
        "-D__GNUC__=2",
        "-D__GNUC_MINOR__=7",
        "-D__ELF__=1",
        "-D__attribute__(xxx) ",
        "-D__alignof__(xxx) 8",
        "-D__typeof__(xxx) int",
        "-D__gnuc_va_list void",
        "-I", "/usr/lib/g++-include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/3.0.2/include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/2.96/include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/2.7.2.3/include/",
        "-I", "/usr/lib/gcc-lib/i486-linux/2.7.2.1/include",
        "-I", "/usr/include/g++/",
        "-I", "/usr/include/g++/std",
#endif
#ifdef __QNX__
        "-D__QNX__=1",
        "-D__WATCOMC__=1",
        "-D__386__=1",
#endif
};
static int s_standardCOptNum = sizeof(s_standardCOptions)/sizeof(char*);
static char *s_standardCccOptions[] = {
        "standardCccOptions",
        "-set", "nl", "\n",
        "-set", "dq", "\"",
        "-set", "pc", "%",
        "-set", "dl", "$",
        "-D__cplusplus__",
        "-D__cplusplus",
        "-D__FILE__=\"__FILE__\"",
        "-D__LINE__=0",
        "-D__DATE__=\"__DATE__\"",
        "-D__TIME__=\"__TIME__\"",
        "-D__STDC__=1",
        "-I", "/usr/include/",
#ifdef __linux__
        "-Dlinux=1",
        "-D__linux=1",
        "-D__linux__=1",
        "-Dunix=1",
        "-D__unix=1",
        "-D__unix__=1",
        "-D__GNUC__=2",
        "-D__GNUC_MINOR__=7",
        "-D__ELF__=1",
        "-D__attribute__(xxx) ",
        "-D__alignof__(xxx) 8",
        "-D__asm__(xxx) {}",
        "-I", "/usr/lib/g++-include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/2.96/include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/",
        "-I", "/usr/lib/gcc-lib/i386-redhat-linux/2.7.2.3/include/",
        "-I", "/usr/lib/gcc-lib/i486-linux/2.7.2.1/include",
        "-I", "/usr/include/g++/",
        "-I", "/usr/include/g++/std",
#endif
#ifdef __QNX__
        "-D__QNX__=1",
        "-D__WATCOMC__=1",
        "-D__386__=1",
#endif
};
static int s_standardCccOptNum = sizeof(s_standardCccOptions)/sizeof(char*);
static char *s_standardJavaOptions[] = {
        "standardJavaOptions",
        "-set", "nl", "\n",
        "-set", "dq", "\"",
        "-set", "pc", "%",
        "-set", "dl", "$",
};
static int s_standardJavaOptNum = sizeof(s_standardJavaOptions)/sizeof(char*);
void getStandardOptions(int *nargc, char ***nargv) {
        int i;
        char **aargv;
        int standardOptNum;
        char **standardOptions;
        if (((s_language & (4)) != 0)) {
                standardOptNum = s_standardJavaOptNum;
                standardOptions = s_standardJavaOptions;
        } else if (((s_language & (16)) != 0)) {
                standardOptNum = s_standardCccOptNum;
                standardOptions = s_standardCccOptions;
        } else {
                standardOptNum = s_standardCOptNum;
                standardOptions = s_standardCOptions;
        }
        {{ { if (!((standardOptNum) >= 0)) internalCheckFail("(standardOptNum) >= 0", "options.c", 163);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(standardOptNum)*sizeof(char*) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } aargv = (char**) (ppmMemory + ppmMemoryi); ppmMemoryi += (standardOptNum)*sizeof(char*);};};
        for (i=0; i<standardOptNum; i++) {
                {{ { if (!((strlen(standardOptions[i])+1) >= 0)) internalCheckFail("(strlen(standardOptions[i])+1) >= 0", "options.c", 165);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(strlen(standardOptions[i])+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } aargv[i] = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (strlen(standardOptions[i])+1)*sizeof(char);};};
                strcpy(aargv[i],standardOptions[i]);
        }
        *nargc = standardOptNum;
        *nargv = aargv;
}
static void expandEnvironmentVariables(char *tt, int ttsize, int *len,
                                                                           int envFlag) {
        char ttt[MAX_OPTION_LEN];
        char vname[MAX_OPTION_LEN];
        char *vval;
        int i, d, j, starti, termc, expanded, vlen, tilda;
        i = d = 0;
        while(tt[i] && i<ttsize-2) {
                starti = -1;
                expanded = 0;
                termc = 0;
                tilda = 0;
#ifndef __WIN32__
                if (i==0 && tt[i]=='~' && tt[i+1]=='/') {starti = i; termc='~'; tilda=1;}
#endif
                if (tt[i]=='$' && tt[i+1]=='{') {starti = i+2; termc='}';}
                if (tt[i]=='%') {starti = i+1; termc='%';}
                if (starti >= 0) {
                        j = starti;
                        while (isalpha(tt[j]) || isdigit(tt[j]) || tt[j]=='_') j++;
                        if (j<ttsize-2 && tt[j]==termc) {
                                vlen = j-starti;
                                strncpy(vname, &tt[starti], vlen);
                                vname[vlen]=0;
                                vval = NULL;
                                if (envFlag != GLOBAL_ENV_ONLY) {
                                        vval = getXrefEnvironmentValue(vname);
                                }
                                if (vval==NULL) vval = getenv(vname);
#ifndef __WIN32__
                                if (tilda) vval = getenv("HOME");
#endif
                                if (vval != NULL) {
                                        strcpy(&ttt[d], vval);
                                        d += strlen(vval);
                                        expanded = 1;
                                }
                                if (expanded) i = j+1;
                        }
                }
                if (expanded==0) {
                        ttt[d++] = tt[i++];
                }
                { if (!(d<MAX_OPTION_LEN-2)) internalCheckFail("d<MAX_OPTION_LEN-2", "options.c", 217);};
        }
        ttt[d] = 0;
        *len = d;
        strcpy(tt, ttt);
}
static int getOptionFromFile(FILE *ff, char *tt, int ttsize, int *outI) {
        int i,c,lc,comment,res,verbat,quotamess;
        c = getc(ff);
        do {
                quotamess = 0;
                *outI = i = comment = 0;
                while ((c>=0 && c<=' ') || c=='\n' || c=='\t') c=getc(ff);
                if (c==EOF) {
                        res = EOF;
                        goto fini;
                }
                if (c=='\"') {
                        lc=c; c=getc(ff);
                        while (c!=EOF && (c!='\"' )) {
                                if (i < ttsize-1) tt[i++]=c;
                                lc=c; c=getc(ff);
                        }
                        if (c!='\"' && s_opt.taskRegime!=RegimeEditServer) {
                                fatalError(ERR_ST, "option string through end of file", 65);
                        }
                } else if (c=='`') {
                        tt[i++]=c;
                        lc=c; c=getc(ff);
                        while (c!=EOF && c!='\n' && (c!='`' )) {
                                if (i < ttsize-1) tt[i++]=c;
                                lc=c; c=getc(ff);
                        }
                        if (i < ttsize-1) tt[i++]=c;
                        if (c!='`' && s_opt.taskRegime!=RegimeEditServer) {
                                error(ERR_ST, "option string through end of line");
                        }
                } else if (c=='[') {
                        tt[i++] = c;
                        lc=c; c=getc(ff);
                        while (c!=EOF && c!='\n' && (c!=']' )) {
                                if (i < ttsize-1) tt[i++]=c;
                                lc=c; c=getc(ff);
                        }
                        if (c==']') tt[i++]=c;
                } else {
                        while (c!=EOF && c>' ') {
                                if (c=='\"') quotamess = 1;
                                if (i < ttsize-1) tt[i++]=c;
                                c=getc(ff);
                        }
                }
                tt[i]=0;
                if (quotamess && s_opt.taskRegime!=RegimeEditServer) {
                        static int messageWritten=0;
                        if (! messageWritten) {
                                messageWritten = 1;
                                sprintf(tmpBuff,"option '%s' contains quotas.",tt);
                                warning(ERR_ST, tmpBuff);
                        }
                }
                if (
# ifdef __QNX__
                        i==2
# else
                        i>=2
# endif
                                && tt[0]=='/' && tt[1]=='/') {
                        while (c!=EOF && c!='\n') c=getc(ff);
                        comment = 1;
                }
        } while (comment);
        if (strcmp(tt,END_OF_OPTIONS_STRING)==0) {
                i = 0; res = EOF;
        } else {
                res = 'A';
        }
fini:
        tt[i] = 0;
        *outI = i;
        return(res);
}
static void processSingleSectionMarker(char *tt,char *section,
                                                                           int *writeFlag, char *resSection) {
        int sl;
        sl = strlen(tt);
        if (fnnCmp(tt,section,sl)==0
                && (section[sl]=='/' || section[sl]=='\\' || section[sl]==0)) {
                if (sl > strlen(resSection)) {
                        strcpy(resSection,tt);
                        { if (!(strlen(resSection)+1 < MAX_FILE_NAME_SIZE)) internalCheckFail("strlen(resSection)+1 < MAX_FILE_NAME_SIZE", "options.c", 316);};
                }
                *writeFlag = 1;
        } else {
                *writeFlag = 0;
        }
}
static void processSectionMarker(char *ttt,int i,char *project,char *section,
                                                                 int *writeFlag, char *resSection) {
        int sl;
        char *tt;
        ttt[i-1]=0;
        tt = ttt+1;
        *writeFlag = 0;
        { char *currentPath, *pp, *ecp; int i, ind; char sourcepathes[MAX_SOURCE_PATH_SIZE]; { if (!(tt!=NULL)) internalCheckFail("tt!=NULL", "options.c", 333);}; pp = tt; strcpy(sourcepathes, pp); currentPath = sourcepathes; ecp = currentPath+strlen(currentPath); while (currentPath<ecp) { for(ind=0; currentPath[ind]!=0 && currentPath[ind]!=CLASS_PATH_SEPARATOR; ind++) ; currentPath[ind] = 0; i = ind; if (i>0 && currentPath[i-1]==SLASH) currentPath[--i] = 0; { if (project!=NULL) { if (strcmp(currentPath, project)==0) { strcpy(resSection,currentPath); { if (!(strlen(resSection)+1 < MAX_FILE_NAME_SIZE)) internalCheckFail("strlen(resSection)+1 < MAX_FILE_NAME_SIZE", "options.c", 333);}; *writeFlag = 1; goto fini; } else { *writeFlag = 0; } } else { processSingleSectionMarker(currentPath, section, writeFlag, resSection); if (*writeFlag) goto fini; } }; currentPath += ind; currentPath++; }};
 fini:;
        if (*writeFlag) {
                strcpy(s_base, resSection);
                { if (!(strlen(resSection) < MAX_FILE_NAME_SIZE-1)) internalCheckFail("strlen(resSection) < MAX_FILE_NAME_SIZE-1", "options.c", 365);};
                xrefSetenv("__BASE", s_base);
        }
}
int readOptionFromFile(FILE *ff, int *nargc, char ***nargv, int memFl,
                                                char *sectionFile,char *project, char *resSection) {
        char tt[MAX_OPTION_LEN];
        int len,argc,i,c,isActiveSect,isActivePass,res,sl,passn=0;
        char **aargv,*argv[MAX_STD_ARGS];
        argc = 1; res = 0; isActiveSect = isActivePass = 1; aargv=NULL;
        resSection[0]=0;
        if (memFl==MEM_ALLOC_ON_SM) {optMemoryi = 0;};
        c = 'a';
        while (c!=EOF) {
                c = getOptionFromFile(ff,tt,MAX_OPTION_LEN,&len);
                if (len>=2 && tt[0]=='[' && tt[len-1]==']') {
                        expandEnvironmentVariables(tt+1,MAX_OPTION_LEN,&len,GLOBAL_ENV_ONLY);
                        processSectionMarker(tt,len+1,project,sectionFile,&isActiveSect,resSection);
                } else if (isActiveSect && strncmp(tt,"-pass",5)==0) {
                        sscanf(tt+5, "%d", &passn);
                        if (passn==s_currCppPass || s_currCppPass==(-1)) {
                                isActivePass = 1;
                        } else {
                                isActivePass = 0;
                        }
                        if (passn > s_maximalCppPass) s_maximalCppPass = passn;
                } else if (strncmp(tt,"-license=",9)==0) {
                        strcpy(s_opt.licenseString, tt+9);
                        s_expTime = 0;
                } else if (strcmp(tt,"-set")==0 && (isActiveSect && isActivePass)
                                   && memFl!=MEM_NO_ALLOC) {
                        res = 1;
                        { char *cc; cc=NULL; if (memFl!=MEM_NO_ALLOC) { { if (memFl==MEM_ALLOC_ON_SM) { { { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 432);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(len+1)*sizeof(char) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } cc = (char*) (optMemory + optMemoryi); optMemoryi += (len+1)*sizeof(char);}; } else if (memFl==MEM_ALLOC_ON_PP) { {{ { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 432);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } cc = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len+1)*sizeof(char);};}; } else { { if (!(0)) internalCheckFail("0", "options.c", 432);}; }}; { if (!(cc)) internalCheckFail("cc", "options.c", 432);}; strcpy(cc,tt); argv[argc] = cc; if (argc < MAX_STD_ARGS-1) argc++; }};
                        c = getOptionFromFile(ff,tt,MAX_OPTION_LEN,&len);
                        expandEnvironmentVariables(tt,MAX_OPTION_LEN,&len,DEFAULT_VALUE);
                        { char *cc; cc=NULL; if (memFl!=MEM_NO_ALLOC) { { if (memFl==MEM_ALLOC_ON_SM) { { { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 435);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(len+1)*sizeof(char) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } cc = (char*) (optMemory + optMemoryi); optMemoryi += (len+1)*sizeof(char);}; } else if (memFl==MEM_ALLOC_ON_PP) { {{ { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 435);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } cc = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len+1)*sizeof(char);};}; } else { { if (!(0)) internalCheckFail("0", "options.c", 435);}; }}; { if (!(cc)) internalCheckFail("cc", "options.c", 435);}; strcpy(cc,tt); argv[argc] = cc; if (argc < MAX_STD_ARGS-1) argc++; }};
                        c = getOptionFromFile(ff,tt,MAX_OPTION_LEN,&len);
                        expandEnvironmentVariables(tt,MAX_OPTION_LEN,&len,DEFAULT_VALUE);
                        { char *cc; cc=NULL; if (memFl!=MEM_NO_ALLOC) { { if (memFl==MEM_ALLOC_ON_SM) { { { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 438);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(len+1)*sizeof(char) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } cc = (char*) (optMemory + optMemoryi); optMemoryi += (len+1)*sizeof(char);}; } else if (memFl==MEM_ALLOC_ON_PP) { {{ { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 438);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } cc = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len+1)*sizeof(char);};}; } else { { if (!(0)) internalCheckFail("0", "options.c", 438);}; }}; { if (!(cc)) internalCheckFail("cc", "options.c", 438);}; strcpy(cc,tt); argv[argc] = cc; if (argc < MAX_STD_ARGS-1) argc++; }};
                        if (argc < MAX_STD_ARGS) {
                                { if (!(argc>=3)) internalCheckFail("argc>=3", "options.c", 440);};
                                mainHandleSetOption(argc, argv, argc-3);
                        }
                } else if (len>0 && (isActiveSect && isActivePass)) {
                        res = 1;
                        expandEnvironmentVariables(tt,MAX_OPTION_LEN,&len,DEFAULT_VALUE);
                        { char *cc; cc=NULL; if (memFl!=MEM_NO_ALLOC) { { if (memFl==MEM_ALLOC_ON_SM) { { { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 446);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(len+1)*sizeof(char) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } cc = (char*) (optMemory + optMemoryi); optMemoryi += (len+1)*sizeof(char);}; } else if (memFl==MEM_ALLOC_ON_PP) { {{ { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 446);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } cc = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len+1)*sizeof(char);};}; } else { { if (!(0)) internalCheckFail("0", "options.c", 446);}; }}; { if (!(cc)) internalCheckFail("cc", "options.c", 446);}; strcpy(cc,tt); argv[argc] = cc; if (argc < MAX_STD_ARGS-1) argc++; }};
                }
        }
        if (argc >= MAX_STD_ARGS-1) error(ERR_ST,"too much options");
        if (res && memFl!=MEM_NO_ALLOC) {
                { if (memFl==MEM_ALLOC_ON_SM) { { { if (!((argc) >= 0)) internalCheckFail("(argc) >= 0", "options.c", 451);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(argc)*sizeof(char*) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } aargv = (char**) (optMemory + optMemoryi); optMemoryi += (argc)*sizeof(char*);}; } else if (memFl==MEM_ALLOC_ON_PP) { {{ { if (!((argc) >= 0)) internalCheckFail("(argc) >= 0", "options.c", 451);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(argc)*sizeof(char*) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } aargv = (char**) (ppmMemory + ppmMemoryi); ppmMemoryi += (argc)*sizeof(char*);};}; } else { { if (!(0)) internalCheckFail("0", "options.c", 451);}; }};
                for(i=1; i<argc; i++) aargv[i] = argv[i];
        }
        *nargc = argc;
        *nargv = aargv;
        return(res);
}
void readOptionFile(char *name, int *nargc, char ***nargv, char *sectionFile, char *project) {
        FILE *ff;
        char realSection[MAX_FILE_NAME_SIZE];
        ff = fopen(name,"r");
        if (ff==NULL) fatalError(ERR_CANT_OPEN,name, 65);
        readOptionFromFile(ff,nargc,nargv,MEM_ALLOC_ON_PP,sectionFile, project, realSection);
        fclose(ff);
}
void readOptionPipe(char *comm, int *nargc, char ***nargv, char *sectionFile) {
        FILE *ff;
        char realSection[MAX_FILE_NAME_SIZE];
        ff = popen(comm,"r");
        if (ff==NULL) fatalError(ERR_CANT_OPEN, comm, 65);
        readOptionFromFile(ff,nargc,nargv,MEM_ALLOC_ON_PP,sectionFile,NULL,realSection);
        fclose(ff);
}
void getOptionsFromMessage(char *qnxMsgBuff, int *nargc, char ***nargv) {
        int i,b;
        int argc;
        char **aargv,*argv[MAX_STD_ARGS];
        i=0; argc = 1;
        {optMemoryi = 0;};
        while (qnxMsgBuff[i]) {
                argv[argc] = qnxMsgBuff+i;
                argc++;
                while (qnxMsgBuff[i]!=' ' && qnxMsgBuff[i]) i++;
                qnxMsgBuff[i]=0;
                i++;
        }
        { { if (!((argc) >= 0)) internalCheckFail("(argc) >= 0", "options.c", 490);}; optMemoryi = ((char*)(((char*)(optMemory+optMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(optMemory+optMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - optMemory; if (optMemoryi+(argc)*sizeof(char*) >= 10000) { fatalError(ERR_NO_MEMORY,"optMemory", 65); } aargv = (char**) (optMemory + optMemoryi); optMemoryi += (argc)*sizeof(char*);};
        for(i=1; i<argc; i++) aargv[i] = argv[i];
        *nargc = argc;
        *nargv = aargv;
}
static char *getClassPath(int defaultCpAllowed) {
        char *cp;
        cp = s_opt.classpath;
        if (cp == NULL || *cp==0) cp = getenv("CLASSPATH");
        if (cp == NULL || *cp==0) {
                if (defaultCpAllowed) cp = s_defaultClassPath;
                else cp = NULL;
        }
        return(cp);
}
static char *getSourcePath(int defaultCpAllowed) {
        char *cp;
        cp = s_opt.sourcePath;
        if (cp == NULL || *cp==0) cp = getenv("SOURCEPATH");
        if (cp == NULL || *cp==0) cp = getClassPath(defaultCpAllowed);
        return(cp);
}
static void processClassPathString( char *cp) {
        char *nn, *np, *sfp;
        char ttt[MAX_FILE_NAME_SIZE];
        S_stringList **ll;
        int ind, nlen;
        for(ll= & s_javaClassPaths; *ll!=NULL; ll= &(*ll)->next) ;
        while (*cp!=0) {
                for(ind=0; cp[ind]!=0 && cp[ind]!=CLASS_PATH_SEPARATOR; ind++) {
                        ttt[ind]=cp[ind];
                }
                ttt[ind]=0;
                np = normalizeFileName(ttt,s_cwd);
                nlen = strlen(np); sfp = np+nlen-4;
                if (nlen>=4 && (strcmp(sfp,".zip")==0 || strcmp(sfp,".jar")==0)){
                        { if (s_opt.debug) {fprintf(dumpOut,"Indexing '%s'\n",np);fflush(dumpOut);}};
                        zipIndexArchive(np);
                        { if (s_opt.debug) {fprintf(dumpOut,"Done.\n");fflush(dumpOut);}};
                } else {
                        {{ { if (!((strlen(np)+1) >= 0)) internalCheckFail("(strlen(np)+1) >= 0", "options.c", 536);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(strlen(np)+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } nn = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (strlen(np)+1)*sizeof(char);};};
                        strcpy(nn,np);
                        {{{ { if (!((1) >= 0)) internalCheckFail("(1) >= 0", "options.c", 538);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(1)*sizeof(S_stringList) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } *ll = (S_stringList*) (ppmMemory + ppmMemoryi); ppmMemoryi += (1)*sizeof(S_stringList);};};};
                        { (*ll)->d = nn; (*ll)->next = NULL;};
                        ll = & (*ll)->next;
                }
                cp += ind;
                if (*cp == CLASS_PATH_SEPARATOR) cp++;
        }
}
int packageOnCommandLine(char *fn) {
        char *cp,*ss,*dd;
        char ttt[MAX_FILE_NAME_SIZE];
        char ppp[MAX_FILE_NAME_SIZE];
        struct stat st;
        int i, ind, stt, topCallFlag, res;
        void *recursFlag;
        res = 0;
        for(dd=ppp,ss=fn; *ss; dd++,ss++) {
                if (*ss == '.') *dd = SLASH;
                else *dd = *ss;
        }
        *dd = 0;
        { if (!(strlen(ppp)<MAX_FILE_NAME_SIZE-1)) internalCheckFail("strlen(ppp)<MAX_FILE_NAME_SIZE-1", "options.c", 560);};
        cp = getSourcePath(1);
        while (cp!=NULL && *cp!=0) {
                for(ind=0; cp[ind]!=0 && cp[ind]!=CLASS_PATH_SEPARATOR; ind++) {
                        ttt[ind]=cp[ind];
                }
                ttt[ind] = 0;
                i = ind;
                if (i==0 || ttt[i-1]!=SLASH) {
                        ttt[i++] = SLASH;
                }
                strcpy(ttt+i, ppp);
                { if (!(strlen(ttt)<MAX_FILE_NAME_SIZE-1)) internalCheckFail("strlen(ttt)<MAX_FILE_NAME_SIZE-1", "options.c", 572);};
                stt = stat(ttt, &st);
                if (stt==0 && (st.st_mode & S_IFMT)==S_IFDIR) {
                        res = 1;
                        topCallFlag = 1;
                        if (s_opt.recursivelyDirs) recursFlag = &topCallFlag;
                        else recursFlag = NULL;
                        dirInputFile(ttt,"",NULL,NULL,recursFlag,&topCallFlag);
                }
                cp += ind;
                if (*cp == CLASS_PATH_SEPARATOR) cp++;
        }
        return(res);
}
void addSourcePathesCut() {
        s_javaSourcePaths = getSourcePath(1);
        { char *currentPath, *pp, *ecp; int i, ind; char sourcepathes[MAX_SOURCE_PATH_SIZE]; { if (!(s_javaSourcePaths!=NULL)) internalCheckFail("s_javaSourcePaths!=NULL", "options.c", 592);}; pp = s_javaSourcePaths; strcpy(sourcepathes, pp); currentPath = sourcepathes; ecp = currentPath+strlen(currentPath); while (currentPath<ecp) { for(ind=0; currentPath[ind]!=0 && currentPath[ind]!=CLASS_PATH_SEPARATOR; ind++) ; currentPath[ind] = 0; i = ind; if (i>0 && currentPath[i-1]==SLASH) currentPath[--i] = 0; { addHtmlCutPath(currentPath); }; currentPath += ind; currentPath++; }};
}
static char * canItBeJavaBinPath(char *ttt) {
        static char res[MAX_FILE_NAME_SIZE];
        char *np;
        struct stat st;
        int stt, len;
        np = normalizeFileName(ttt, s_cwd);
        len = strlen(np);
#ifdef __WIN32__
        sprintf(res,"%s%cjava.exe", np, SLASH);
#else
        sprintf(res,"%s%cjava", np, SLASH);
#endif
        { if (!(len+6<MAX_FILE_NAME_SIZE)) internalCheckFail("len+6<MAX_FILE_NAME_SIZE", "options.c", 610);};
        stt = stat(res, &st);
        if (stt==0 && (st.st_mode & S_IFMT)!=S_IFDIR) {
                res[len]=0;
                if (len>4 && fnCmp(res+len-3,"bin")==0 && res[len-4]==SLASH) {
                        sprintf(res+len-3,"jre%clib%crt.jar",SLASH,SLASH);
                        { if (!(strlen(res)<MAX_FILE_NAME_SIZE-1)) internalCheckFail("strlen(res)<MAX_FILE_NAME_SIZE-1", "options.c", 616);};
                        stt = stat(res,&st);
                        if (stt==0) {
                                return(res);
                        }
                }
        }
        return(NULL);
}
static char *getJdk12AutoClassPathFastly() {
        char ttt[MAX_FILE_NAME_SIZE];
        char *res;
        char *cp;
        int len;
        cp = getenv("JAVA_HOME");
        if (cp!=NULL) {
                strcpy(ttt,cp);
                len = strlen(ttt);
                if (len>0 && (ttt[len-1]=='/' || ttt[len-1]=='\\')) len--;
                sprintf(ttt+len, "%cbin", SLASH);
                res = canItBeJavaBinPath(ttt);
                if (res!=NULL) return(res);
        }
        cp = getenv("PATH");
        if (cp!=NULL) {
                { char *currentPath, *pp, *ecp; int i, ind; char sourcepathes[MAX_SOURCE_PATH_SIZE]; { if (!(cp!=NULL)) internalCheckFail("cp!=NULL", "options.c", 643);}; pp = cp; strcpy(sourcepathes, pp); currentPath = sourcepathes; ecp = currentPath+strlen(currentPath); while (currentPath<ecp) { for(ind=0; currentPath[ind]!=0 && currentPath[ind]!=CLASS_PATH_SEPARATOR; ind++) ; currentPath[ind] = 0; i = ind; if (i>0 && currentPath[i-1]==SLASH) currentPath[--i] = 0; { res = canItBeJavaBinPath(currentPath); if (res != NULL) return(res); }; currentPath += ind; currentPath++; }};
        }
        return(NULL);
}
char *getJdkClassPathFastly() {
        char *jdkcp;
        jdkcp = s_opt.jdkClassPath;
        if (jdkcp == NULL || *jdkcp==0) jdkcp = getenv("JDKCLASSPATH");
        if (jdkcp == NULL || *jdkcp==0) jdkcp = getJdk12AutoClassPathFastly();
        return(jdkcp);
}
char *getJdkClassPath() {
        char ttt[MAX_FILE_NAME_SIZE];
        char *res, *cp;
        FILE *ff;
        res = getJdkClassPathFastly();
        if (res!=NULL && *res!=0) return(res);
#ifdef __WIN32__
#else
#endif
        return(NULL);
}
char *getJavaHome() {
        static char res[MAX_FILE_NAME_SIZE];
        char *tt;
        char *cp;
        int ii;
        tt = getJdkClassPath();
        if (tt!=NULL && *tt!=0) {
                copyDir(res, tt, &ii);
                if (ii>0) res[ii-1] = 0;
                copyDir(res, res, &ii);
                if (ii>0) res[ii-1] = 0;
                copyDir(res, res, &ii);
                if (ii>0) res[ii-1] = 0;
                return(res);
        }
        return(NULL);
}
void getJavaClassAndSourcePath() {
        char *cp,*jdkcp,*path;
        int i;
        for(i=0; i<MAX_JAVA_ZIP_ARCHIVES; i++) {
                if (s_zipArchivTab[i].fn[0] == 0) break;
                s_zipArchivTab[i].fn[0]=0;
        }
        s_javaSourcePaths = getSourcePath(0);
        if (s_javaSourcePaths==NULL) {
                if (((s_language & (4)) != 0)) {
                        error(ERR_ST,"no classpath or sourcepath specified");
                }
                s_javaSourcePaths = s_defaultClassPath;
        }
        cp = getClassPath(1);
        s_opt.classpath = cp;
        s_javaClassPaths = NULL;
        processClassPathString( cp);
        jdkcp = getJdkClassPathFastly();
        if (jdkcp != NULL && *jdkcp!=0) {
                s_opt.jdkClassPath = jdkcp;
                processClassPathString( jdkcp);
        }
        if (((s_language & (4)) != 0) && s_opt.taskRegime != RegimeEditServer) {
                static int messageFlag=0;
                if (messageFlag==0) {
                        if (jdkcp!=NULL && *jdkcp!=0) {
                                fprintf(dumpOut,"jdkclasspath == %s\n", jdkcp);
                        }
                        fprintf(dumpOut,"classpath == %s\n", cp);
                        fprintf(dumpOut,"sourcepath == %s\n", s_javaSourcePaths);
                        fflush(dumpOut);
                        messageFlag = 1;
                }
        }
}
int changeRefNumOption(int newRefNum) {
        int check;
        if (s_opt.refnum == 0) check=1;
        else if (s_opt.refnum == 1) check = (newRefNum <= 1);
        else check = (newRefNum == s_opt.refnum);
        s_opt.refnum = newRefNum;
        return(check);
}
void getXrefrcFileName( char *ttt ) {
        int hlen;
        char *hh;
        hh = getenv("HOME");
#ifdef __WIN32__
        if (hh == NULL) hh = "c:\\";
#else
        if (hh == NULL) hh = "";
#endif
        hlen = strlen(hh);
        if (hlen>0 && (hh[hlen-1]=='/' || hh[hlen-1]=='\\')) {
                sprintf(ttt, "%s%cxrefrc", hh, FILE_BEGIN_DOT);
        } else {
                sprintf(ttt, "%s%c%cxrefrc", hh, SLASH, FILE_BEGIN_DOT);
        }
        { if (!(strlen(ttt) < MAX_FILE_NAME_SIZE-1)) internalCheckFail("strlen(ttt) < MAX_FILE_NAME_SIZE-1", "options.c", 759);};
}
static S_optionsList * readXrefrcFile(char *name) {
        char tt[TMP_STRING_SIZE];
        FILE *ff;
        int len,c,ii;
        char *ss;
        S_optionsList *pp,*res;
        S_stringList *ll;
        S_options origopts;
        origopts = s_opt;
        {{{ { if (!((1) >= 0)) internalCheckFail("(1) >= 0", "options.c", 771);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(1)*sizeof(S_optionsList) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } res = (S_optionsList*) (ppmMemory + ppmMemoryi); ppmMemoryi += (1)*sizeof(S_optionsList);};};};
        { (res)->section = "/"; (res)->opts = NULL; (res)->flgopts = s_initOpt; (res)->next = NULL;};
        s_opt = s_initOpt;
        ff = fopen(name,"r");
        if (ff==NULL) fatalError(ERR_CANT_OPEN,name, 65);
        c = 'a';
        ii =0;
        while (c!=EOF) {
                c = getOptionFromFile(ff,tt,TMP_STRING_SIZE,&len);
                if (len>=2 && tt[0]=='[' && tt[len-1]==']') {
                        {{ { if (!((len-1) >= 0)) internalCheckFail("(len-1) >= 0", "options.c", 781);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len-1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } ss = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len-1)*sizeof(char);};};
                        strncpy(ss, tt+1, len-2);
                        ss[len-2] = 0;
                        { register S_stringList *list,*tmp,*revlist; list = res->opts; revlist = NULL; while (list!=NULL) { tmp = list->next; list->next = revlist; revlist = list; list = tmp; } res->opts = revlist;};
                        res->flgopts = s_opt;
                        {{{ { if (!((1) >= 0)) internalCheckFail("(1) >= 0", "options.c", 786);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(1)*sizeof(S_optionsList) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } pp = (S_optionsList*) (ppmMemory + ppmMemoryi); ppmMemoryi += (1)*sizeof(S_optionsList);};};};
                        { (pp)->section = ss; (pp)->opts = NULL; (pp)->flgopts = s_initOpt; (pp)->next = res;};
                        s_opt = s_initOpt;
                        res = pp;
                } else {
                        if (! processInteractiveFlagOption(tt)) {
                                {{ { if (!((len+1) >= 0)) internalCheckFail("(len+1) >= 0", "options.c", 792);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(len+1)*sizeof(char) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } ss = (char*) (ppmMemory + ppmMemoryi); ppmMemoryi += (len+1)*sizeof(char);};};
                                strcpy(ss, tt);
                                {{{ { if (!((1) >= 0)) internalCheckFail("(1) >= 0", "options.c", 794);}; ppmMemoryi = ((char*)(((char*)(ppmMemory+ppmMemoryi))+(STANDARD_ALLIGNEMENT-1-((((unsigned)(ppmMemory+ppmMemoryi))-1) & (STANDARD_ALLIGNEMENT-1))))) - ppmMemory; if (ppmMemoryi+(1)*sizeof(S_stringList) >= SIZE_ppmMemory) { fatalError(ERR_NO_MEMORY,"ppmMemory", 65); } ll = (S_stringList*) (ppmMemory + ppmMemoryi); ppmMemoryi += (1)*sizeof(S_stringList);};};};
                                { (ll)->d = ss; (ll)->next = res->opts;};
                                res->opts = ll;
                        }
                }
        }
        fclose(ff);
        { register S_stringList *list,*tmp,*revlist; list = res->opts; revlist = NULL; while (list!=NULL) { tmp = list->next; list->next = revlist; revlist = list; list = tmp; } res->opts = revlist;};
        res->flgopts = s_opt;
        { register S_optionsList *list,*tmp,*revlist; list = res; revlist = NULL; while (list!=NULL) { tmp = list->next; list->next = revlist; revlist = list; list = tmp; } res = revlist;};
        s_opt = origopts;
        return(res);
}
void writeInteractiveFlagOptions(FILE *ff, S_options *opt) {
        if (opt->tabulator!=s_initOpt.tabulator) {
                fprintf(ff,"\t-htmltab=%d\n", opt->tabulator);
        }
        if (opt->refnum!=s_initOpt.refnum) {
                fprintf(ff,"\t-refnum=%d\n", opt->refnum);
        }
        if (opt->htmlglobalx != s_initOpt.htmlglobalx) {
                fprintf(ff, "\t-htmlgxlist\n");
        }
        if (opt->htmllocalx != s_initOpt.htmllocalx) {
                fprintf(ff, "\t-htmllxlist\n");
        }
        if (opt->htmlRichLists != s_initOpt.htmlRichLists) {
                fprintf(ff, "\t-htmlrichlist\n");
        }
        if (opt->htmlFunSeparate != s_initOpt.htmlFunSeparate) {
                fprintf(ff, "\t-htmlfunseparate\n");
        }
        if (opt->debug != s_initOpt.debug) {
                fprintf(ff, "\t-debug\n");
        }
        if (opt->brief != s_initOpt.brief) {
                fprintf(ff, "\t-brief\n");
        }
        if (opt->brief != s_initOpt.brief) {
                fprintf(ff, "\t-nobrief\n");
        }
        if (opt->err != s_initOpt.err) {
                fprintf(ff, "\t-errors\n");
        }
        if (opt->no_ref_enumerator != s_initOpt.no_ref_enumerator) {
                fprintf(ff, "\t-no_enum\n");
        }
        if (opt->no_ref_macro != s_initOpt.no_ref_macro) {
                fprintf(ff, "\t-no_mac\n");
        }
        if (opt->no_ref_typedef != s_initOpt.no_ref_typedef) {
                fprintf(ff, "\t-no_type\n");
        }
        if (opt->no_ref_records != s_initOpt.no_ref_records) {
                fprintf(ff, "\t-no_str\n");
        }
        if (opt->no_ref_locals != s_initOpt.no_ref_locals) {
                fprintf(ff, "\t-no_local\n");
        }
        if (opt->no_stdop != s_initOpt.no_stdop) {
                fprintf(ff, "\t-no_stdop\n");
        }
        if (opt->typedefg != s_initOpt.typedefg) {
                fprintf(ff, "\t-typedefs\n");
        }
        if (opt->str_fill != s_initOpt.str_fill) {
                fprintf(ff, "\t-str_fill\n");
        }
        if (opt->enum_name != s_initOpt.enum_name) {
                fprintf(ff, "\t-enum_name\n");
        }
        if (opt->str_copy != s_initOpt.str_copy) {
                fprintf(ff, "\t-str_copy\n");
        }
        if (opt->body != s_initOpt.body) {
                fprintf(ff, "\t-body\n");
        }
}
int processInteractiveFlagOption(char *argvi) {
        int check;
        int res = 1;
        {
                if (*argvi==0) { }
                else if (strncmp(argvi,"-htmltab=",9)==0) {
                        sscanf(argvi+9,"%d",&s_opt.tabulator);
                }
                else if (strncmp(argvi,"-oocheckbits=",13)==0) {
                        sscanf(argvi+13,"%o",&s_opt.ooChecksBits);
                }
                else if (strncmp(argvi,"-refnum=",8)==0) {
                        sscanf(argvi+8, "%d", &s_opt.refnum);
                }
                else if (strcmp(argvi,"-refalphahash")==0
                                 || strcmp(argvi,"-refalpha1hash")==0) {
                        s_opt.xfileHashingMethod = 1;
                        check = changeRefNumOption(('z'-'a'+2));
                        if (check == 0) {
                                { if (!(s_opt.taskRegime)) internalCheckFail("s_opt.taskRegime", "options.c", 903);};
                                fatalError(ERR_ST,"'-refalphahash' conflicts with '-refnum' option", 65);
                        }
                }
                else if (strcmp(argvi,"-refalpha2hash")==0) {
                        s_opt.xfileHashingMethod = 2;
                        check = changeRefNumOption((('z'-'a'+2)*('z'-'a'+2)));
                        if (check == 0) {
                                { if (!(s_opt.taskRegime)) internalCheckFail("s_opt.taskRegime", "options.c", 911);};
                                fatalError(ERR_ST,"'-refalpha2hash' conflicts with '-refnum' option", 65);
                        }
                }
                else if (strncmp(argvi,"-mf",3)==0) {
                        int newmf;
                        sscanf(argvi+3, "%d", &newmf);
                        if (newmf<=0 || newmf>255) {
                                fatalError(ERR_ST, "memory factor out of range <1,255>", 65);
                        }
                        s_opt.cxMemoryFaktor = newmf;
                }
                else if (strcmp(argvi,"-noincluderefs")==0) s_opt.noIncludeRefs = 1;
                else if (strcmp(argvi,"-noincluderefresh")==0) s_opt.noIncludeRefs=1;
                else if (strcmp(argvi,"-nocxfile")==0) s_opt.noCxFile = 1;
                else if (strcmp(argvi,"-javadoc")==0) s_opt.javaDoc = 1;
                else if (strcmp(argvi,"-java2html")==0) s_opt.java2html = 1;
                else if (strcmp(argvi,"-htmllinenums")==0) s_opt.htmlLineNums = 1;
                else if (strcmp(argvi,"-htmlnocolors")==0) s_opt.htmlNoColors = 1;
                else if (strcmp(argvi,"-htmlgxlist")==0) s_opt.htmlglobalx = 1;
                else if (strcmp(argvi,"-htmllxlist")==0) s_opt.htmllocalx = 1;
                else if (strcmp(argvi,"-htmlrichlist")==0) {
                        warning(ERR_ST,"-htmlrichlist option is no longer supported");
                }
                else if (strcmp(argvi,"-htmlfunseparate")==0)s_opt.htmlFunSeparate=1;
                else if (strcmp(argvi,"-strict")==0) s_opt.strictAnsi = 1;
                else if (strcmp(argvi,"-java1.4")==0) {
                        s_opt.javaVersion = "Java 1.4";
                }
                else if (strncmp(argvi,"-javaversion=",13)==0) {
                        if (strcmp(argvi+13, "Java 1.3")==0
                                && strcmp(argvi+13, "Java 1.4")==0) {
                                sprintf(tmpBuff,"wrong -javaversion=<value>, available values are %s, %s",
                                                "Java 1.3", "Java 1.4");
                                error(ERR_ST, tmpBuff);
                        } else {
                                s_opt.javaVersion = argvi+13;
                        }
                }
                else if (strcmp(argvi,"-no_cpp_comment")==0)s_opt.cpp_comment = 0;
                else if (strcmp(argvi,"-c_struct_scope")==0)s_opt.c_struct_scope=1;
                else if (strcmp(argvi,"-cplusplus")==0) s_opt.cIsCplusplus=1;
                else if (strcmp(argvi,"-debug")==0) s_opt.debug = 1;
                else if (strcmp(argvi,"-brief")==0) s_opt.brief = 1;
                else if (strcmp(argvi,"-nobrief")==0) s_opt.brief = 0;
                else if (strcmp(argvi,"-errors")==0) s_opt.err = 1;
                else if (strcmp(argvi,"-no_enum")==0) s_opt.no_ref_enumerator = 1;
                else if (strcmp(argvi,"-no_mac")==0) s_opt.no_ref_macro = 1;
                else if (strcmp(argvi,"-no_type")==0) s_opt.no_ref_typedef = 1;
                else if (strcmp(argvi,"-no_str")==0) s_opt.no_ref_records = 1;
                else if (strcmp(argvi,"-no_local")==0) s_opt.no_ref_locals = 1;
                else if (strcmp(argvi,"-no_cfrefs")==0) s_opt.allowClassFileRefs = 0;
                else if (strcmp(argvi,"-no_stdop")==0
                                 || strcmp(argvi,"-nostdop")==0) s_opt.no_stdop = 1;
                else if (strcmp(argvi,"-typedefs")==0) s_opt.typedefg = 1;
                else if (strcmp(argvi,"-str_fill")==0) s_opt.str_fill = 1;
                else if (strcmp(argvi,"-enum_name")==0) s_opt.enum_name = 1;
                else if (strcmp(argvi,"-str_copy")==0) s_opt.str_copy = 1;
                else if (strcmp(argvi,"-body")==0) s_opt.body = 1;
                else res = 0;
        }
        return(res);
}
static void writeXrefrcFile(FILE *ff, S_optionsList *opts) {
        S_optionsList *pp;
        S_stringList *ss;
        for(pp=opts; pp!=NULL; pp=pp->next) {
                fprintf(ff, "[%s]\n",pp->section);
                for (ss=pp->opts; ss!=NULL; ss=ss->next) {
                        fprintf(ff,"\t\"%s\"\n", ss->d);
                }
                writeInteractiveFlagOptions(ff, &pp->flgopts);
        }
}
void optionsVisualEdit() {
        char rcfilename[MAX_FILE_NAME_SIZE];
        S_optionsList *opts,*pp;
        S_stringList *ss;
        getXrefrcFileName(rcfilename);
        opts = readXrefrcFile(rcfilename);
        writeXrefrcFile(dumpOut, opts);
}
